local assets=
{
	Asset("ANIM", "anim/skeleton_wave.zip"),
--	Asset("ATLAS", "images/inventoryimages/ancient3_map.xml"),
--    Asset("IMAGE", "images/inventoryimages/ancient3_map.tex"),
	Asset("SOUND", "sound/common.fsb"),

}

local prefabs = 

{
	"boneshard",
	"gray_crystal",

}

SetSharedLootTable( 'waveloot',
{
    {'boneshard',  1},
	{'gray_crystal',  1},
 
})

local function onhammered(inst, worker)
	inst.components.lootdropper:DropLoot()
	SpawnPrefab("collapse_small").Transform:SetPosition(inst.Transform:GetWorldPosition())
	inst.SoundEmitter:PlaySound("dontstarve/common/destroy_metal")
	inst:Remove()
end

local function onhit(inst, worker)
	inst.AnimState:PlayAnimation("idle")
	--inst.AnimState:PushAnimation("idle")
end


local function fn(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
	inst.entity:AddSoundEmitter()
	
    inst:AddTag("structure")
    MakeObstaclePhysics(inst, .5)
    
    inst.AnimState:SetBank("skeleton_wave")
    inst.AnimState:SetBuild("skeleton_wave")
	inst.AnimState:PlayAnimation("idle")
		
    inst:AddComponent("inspectable")
	
	if IsDLCEnabled(REIGN_OF_GIANTS) or IsDLCEnabled(CAPY_DLC) then  
	inst:AddComponent("lootdropper")
	inst.components.lootdropper:SetChanceLootTable('waveloot')
	
    inst:AddComponent("workable")
    inst.components.workable:SetWorkAction(ACTIONS.HAMMER)
    inst.components.workable:SetWorkLeft(3)
	inst.components.workable:SetOnFinishCallback(onhammered)
	inst.components.workable:SetOnWorkCallback(onhit) 
	end
	
    return inst
end


STRINGS.NAMES.SKELETON_WAVE = "Skeleton"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.SKELETON_WAVE = {	
	"Spooky.",
	 
}

STRINGS.CHARACTERS.WX78.DESCRIBE.SKELETON_WAVE = {	
	"THE FLESHLING FRIED ITS CIRCUITS.",
	 
}

return Prefab( "common/skeleton_wave", fn, assets, prefabs)