local assets=
{ 
    Asset("ANIM", "anim/wave_hat.zip"),
	Asset("ANIM", "anim/wave_hat_swap.zip"),

    Asset("ATLAS", "images/inventoryimages/wave_hat_map.xml"),
    Asset("IMAGE", "images/inventoryimages/wave_hat_map.tex"),
}

local prefabs = 
{
}

   
    local function generic_perish(inst)
        inst:Remove()
    end

local function fn()

    local function OnEquip(inst, owner) 
        owner.AnimState:OverrideSymbol("swap_hat", "wave_hat_swap", "swap_hat")
        owner.AnimState:Show("HAT")
        owner.AnimState:Show("HAT_HAIR")
        owner.AnimState:Hide("HAIR_NOHAT")
        owner.AnimState:Hide("HAIR")
        print('A')
        if owner:HasTag("player") then
            print('B')
            owner.AnimState:Hide("HEAD")
            owner.AnimState:Show("HEAD_HAIR")
        end
		if inst.components.fueled then
			inst.components.fueled:StartConsuming()        
		end
		if owner:HasTag("player") then
		owner.components.builder.science_bonus = 4
		owner.components.builder.magic_bonus = 4
		owner.components.builder.ancient_bonus = 4
		if IsDLCEnabled(CAPY_DLC) then  
		owner.components.builder.obsidian_bonus = 4
		end
		end
    end

    local function OnUnequip(inst, owner) 
        owner.AnimState:Hide("HAT")
        owner.AnimState:Hide("HAT_HAIR")
        owner.AnimState:Show("HAIR_NOHAT")
        owner.AnimState:Show("HAIR")

        if owner:HasTag("player") then
            owner.AnimState:Show("HEAD")
            owner.AnimState:Hide("HEAD_HAIR")
        end
		if inst.components.fueled then
			inst.components.fueled:StopConsuming()        
		end
		if owner:HasTag("player") then
		owner.components.builder.science_bonus = 0
		owner.components.builder.magic_bonus = 0
		owner.components.builder.ancient_bonus = 0
		if IsDLCEnabled(CAPY_DLC) then  
		owner.components.builder.obsidian_bonus = 0
		end
		end
    end

    local inst = CreateEntity()
    local trans = inst.entity:AddTransform()
    local anim = inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)
    
    anim:SetBank("wave_hat")
    anim:SetBuild("wave_hat")
    anim:PlayAnimation("idle")
	
	if IsDLCEnabled(CAPY_DLC) then
	MakeInventoryFloatable(inst, "idle_water", "idle")
	end
	
	local minimap = inst.entity:AddMiniMapEntity()
	minimap:SetIcon( "wave_hat_map.tex" )

    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.imagename = "wave_hat_map"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/wave_hat_map.xml"
	
	inst:AddComponent("inspectable")
    
	inst:AddComponent("fueled")
    inst.components.fueled.fueltype = "USAGE"
    inst.components.fueled:InitializeFuelLevel(TUNING.EARMUFF_PERISHTIME)
    inst.components.fueled:SetDepletedFn(generic_perish)
	
    inst:AddComponent("equippable")
    inst.components.equippable.equipslot = EQUIPSLOTS.HEAD
    inst.components.equippable:SetOnEquip(OnEquip)
    inst.components.equippable:SetOnUnequip(OnUnequip)

    return inst
end

STRINGS.NAMES.WAVE_HAT = "Waverly Hat"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.WAVE_HAT = {	
	"Property of Waverly The Grey - The Alchemist",
	"YOU SHALL NOT PASS!",
	 
}
STRINGS.CHARACTERS.WX78.DESCRIBE.WAVE_HAT = {	
	"ERROR...NO DATA!",
	"YOU SHALL NOT PASS!",

}

return  Prefab("common/inventory/wave_hat", fn, assets, prefabs)